> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xtremepush.com/llms.txt
> Use this file to discover all available pages before exploring further.

# OTP History Info

> This API is used to retrieve information on OTP logs.

## OpenAPI

````json POST /info/otp-history
{
  "openapi": "3.1.0",
  "info": {
    "title": "external-api",
    "version": "1"
  },
  "servers": [
    {
      "url": "https://api.eu.xtremepush.com/api/external"
    }
  ],
  "paths": {
    "/info/otp-history": {
      "post": {
        "summary": "OTP History Info",
        "description": "This API is used to retrieve information on OTP logs.",
        "operationId": "otp-history-info",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "required": [
                  "apptoken",
                  "id"
                ],
                "properties": {
                  "apptoken": {
                    "type": "string",
                    "description": "Your App token"
                  },
                  "id": {
                    "type": "string",
                    "description": "The OTP request ID to look up"
                  }
                }
              },
              "examples": {
                "Fetch specific OTP log": {
                  "value": {
                    "apptoken": "YOUR_APPTOKEN",
                    "otp_id": "OTP_ID",
                    "select": [
                      "otp_id",
                      "integration_id",
                      "profile_id",
                      "mobile_number"
                    ]
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "success": {
                      "type": "boolean",
                      "example": "true",
                      "default": "true"
                    },
                    "code": {
                      "type": "integer",
                      "example": "0",
                      "default": "0"
                    },
                    "model": {
                      "type": "object",
                      "properties": {
                        "otp_id": {
                          "type": "string",
                          "example": "string"
                        },
                        "integration_id": {
                          "type": "string",
                          "example": "string"
                        },
                        "mobile_number": {
                          "type": "integer",
                          "example": "1234567890",
                          "default": "0"
                        }
                      }
                    }
                  }
                },
                "examples": {
                  "Result": {
                    "value": {
                      "success": "true",
                      "code": "0",
                      "model": {
                        "otp_id": "string",
                        "integration_id": "string",
                        "mobile_number": "1234567890"
                      }
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "success": {
                      "type": "boolean",
                      "example": "false",
                      "default": "true"
                    },
                    "code": {
                      "type": "integer",
                      "example": "404",
                      "default": "0"
                    },
                    "message": {
                      "type": "string",
                      "example": "string"
                    }
                  }
                },
                "examples": {
                  "Result": {
                    "value": {
                      "success": "false",
                      "code": "404",
                      "message": "string"
                    }
                  }
                }
              }
            }
          }
        },
        "tags": [
          "OTP Methods"
        ]
      }
    }
  }
}
````

